Name:           tidy
Version:        0.99.0
Release:        2.20041214
Epoch:          0
Summary:        Utility to clean up and pretty print HTML/XHTML/XML

Group:          Applications/Text
License:        W3C Software License
URL:            http://tidy.sourceforge.net/
Source0:        http://tidy.sourceforge.net/src/tidy_src_041214.tgz
Source1:        http://tidy.sourceforge.net/docs/tidy_docs_041206.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool, doxygen

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if
there was a simple way to fix these mistakes automatically and tidy up
sloppy editing into nicely layed out markup? Well now there is! Dave
Raggett's HTML TIDY is a free utility for doing just that. It also
works great on the atrociously hard to read markup generated by
specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages
more accessible to people with disabilities.

%package     -n lib%{name}
Summary:        Shared libraries for tidy
Group:          System Environment/Libraries

%description -n lib%{name}
%{summary}.

%package     -n lib%{name}-devel
Summary:        Development files for tidy
Group:          Development/Libraries
Requires:       lib%{name} = %{epoch}:%{version}-%{release}

%description -n lib%{name}-devel
%{summary}.


%prep
%setup -q -n %{name}
%setup -q -n %{name} -T -D -b1
rm -rf htmldoc/api
mv htmldoc/doxygen.cfg Doxyfile


%build
sh build/gnuauto/setup.sh
%configure --disable-dependency-tracking
make %{?_smp_mflags}
doxygen


%install
rm -rf $RPM_BUILD_ROOT _api
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 htmldoc/man_page.txt $RPM_BUILD_ROOT%{_mandir}/man1/tidy.1
mv htmldoc/api _api


%clean
rm -rf $RPM_BUILD_ROOT


%post -n lib%{name} -p /sbin/ldconfig

%postun -n lib%{name} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc htmldoc/*
%{_bindir}/tidy
%{_bindir}/tab2space
%{_mandir}/man1/tidy.1*

%files -n lib%{name}
%defattr(-,root,root,-)
%{_libdir}/libtidy*.so.*

%files -n lib%{name}-devel
%defattr(-,root,root,-)
%doc _api/*
%{_includedir}/*.h
%{_libdir}/libtidy.so
%{_libdir}/libtidy.a
%exclude %{_libdir}/libtidy.la


%changelog
* Thu Dec 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-2.20041214
- Update to 041214 and docs to 041206.
- Build with dependency tracking disabled.

* Sun Oct  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040916
- Update to 040916 and docs to 040810.

* Fri Aug 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040811
- Update to 040811, patches applied upstream.

* Wed Jul 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040720
- Update to 040720.
- Add partial fix (still incorrect for XHTML 1.1) for usemap handling.

* Mon Jul  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040704
- Update to 040704.

* Fri Jun 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040622
- Update to 040622.

* Sat Jun  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040603
- Update to 040603.

* Sat May 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040514
- Update to 040514.

* Sun May  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.2.20040318
- Update docs to 040317, and generate API docs ourselves.

* Fri Mar 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040318
- Update to 040318.

* Tue Mar 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040315
- Update to 040315.

* Mon Mar 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040314
- Update to 040314.

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040313
- Update to 040313.

* Sun Feb  8 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040205
- Update to 040205.

* Wed Feb  4 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040202
- Update to 040202.

* Sun Feb  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040130
- Update to 040130.

* Sun Jan 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040124
- Update to 040124.
- Honor optflags more closely.

* Sun Jan 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040110
- Update to 040110.

* Thu Jan  8 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040106
- Update to 040106.

* Tue Jan  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20040104
- Update to 040104.

* Sun Nov  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20031101
- Update to 031101.

* Thu Oct 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20031029
- Update to 031029.

* Fri Oct  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20031002
- Update to 031002.

* Sat Sep 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20030926
- Update to 030926.

* Wed Sep  3 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20030901
- Update to 030901.

* Sat Aug 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20030815
- Update to 030815.

* Sat Aug  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20030801
- Update to 030801.

* Mon Jul 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.99.0-0.fdr.1.20030716
- First build.
